## mailimporter 24.08.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.2.2")

project(MailImporter VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.3.0")
set(QT_REQUIRED_VERSION "6.6.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)

set(MAILIMPORTER_LIB ${PIM_VERSION})
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


set(AKONADIMIME_LIB_VERSION "6.2.2")
set(KMIME_LIB_VERSION "6.2.2")
set(AKONADI_VERSION "6.2.2")
set(PIMCOMMON_LIB_VERSION "6.2.2")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Xml)

find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
########### Targets ###########


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.4.0)


########### CMake Config Files ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libmailimporter6\")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILIMPORTER
        FILE mailimporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
mailimporter (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:04:10 +0200

mailimporter (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 15 Sep 2024 13:03:45 +0200

libkf5mailimporter (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:04 +0100

libkf5mailimporter (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:05 +0100

libkf5mailimporter (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:33 +0100

libkf5mailimporter (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:05:04 +0100

libkf5mailimporter (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:54:48 +0100

libkf5mailimporter (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:12:11 +0200

libkf5mailimporter (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:09:31 +0200

libkf5mailimporter (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:46:24 +0200

libkf5mailimporter (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:57:52 +0200

libkf5mailimporter (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:02:38 +0200

libkf5mailimporter (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:47:59 +0200

libkf5mailimporter (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 16:14:08 +0200

libkf5mailimporter (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:10:45 +0200

libkf5mailimporter (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:27:50 +0100

libkf5mailimporter (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:26:51 +0900

libkf5mailimporter (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:37:28 +0900

libkf5mailimporter (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:41:22 +0900

libkf5mailimporter (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:15:41 +0900

libkf5mailimporter (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:47:08 +0900

libkf5mailimporter (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:01 +0100

libkf5mailimporter (4:20.08.2-3) unstable; urgency=medium

  * Team upload.
  * Unregister the old /etc/xdg/mailimporter.categories, and
    /etc/xdg/mailimporter.renamecategories conffiles.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Re-export upstream signing key without extra signatures.



=== debian/control ===
Source: mailimporter
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libakonadi-dev (>= 4:24.08.2~),
               libakonadimime-dev (>= 4:24.08.2~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkmime-dev (>= 24.08.2~),
               libpimcommon-dev (>= 4:24.08.2~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/mailimporter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
Rules-Requires-Root: no

Package: libmailimporter-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM Mail importer library - data files
 Contains the data files for building software that uses the library for
 importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libmailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6archive-dev (>= 6.3.0~),
         libkpim6mailimporter6 (= ${binary:Version}),
         libkpim6mailimporterakonadi6 (= ${binary:Version}),
         ${misc:Depends},
Description: KDE PIM Mail importer library - development files
 Contains development files for building software that uses the library for
 importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkpim6mailimporter6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkpim6mailimporterakonadi6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.

## mailimporter 24.12.0

=== debian/changelog ===
mailimporter (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:21 +0100

mailimporter (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:38:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
-               libakonadi-dev (>= 4:24.08.2~),
-               libakonadimime-dev (>= 4:24.08.2~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkmime-dev (>= 24.08.2~),
-               libpimcommon-dev (>= 4:24.08.2~),
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               extra-cmake-modules (>= 6.6.0~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libakonadimime-dev (>= 4:24.12.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkmime-dev (>= 24.12.0~),
+               libpimcommon-dev (>= 4:24.12.0~),
+               qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
 Standards-Version: 4.7.0
@@ -39,7 +39,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6archive-dev (>= 6.3.0~),
+Depends: libkf6archive-dev (>= 6.6.0~),
          libkpim6mailimporter6 (= ${binary:Version}),
          libkpim6mailimporterakonadi6 (= ${binary:Version}),
          ${misc:Depends},

## mailimporter 24.12.2

=== debian/changelog ===
mailimporter (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:07:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libkmime-dev (>= 24.12.2~),
+               libpimcommon-dev (>= 4:24.12.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.2.2")
+set(PIM_VERSION "6.3.3")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.3.0")
-set(QT_REQUIRED_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.6.0")
+set(QT_REQUIRED_VERSION "6.7.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -20,7 +20,7 @@
 include(FeatureSummary)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 include(ECMQtDeclareLoggingCategory)
@@ -34,12 +34,18 @@
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+include(ECMCheckOutboundLicense)
+file(GLOB_RECURSE ALL_SOURCE_FILES
+src/*.cpp
+src/*.h
+)
+ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 
-set(AKONADIMIME_LIB_VERSION "6.2.2")
-set(KMIME_LIB_VERSION "6.2.2")
-set(AKONADI_VERSION "6.2.2")
-set(PIMCOMMON_LIB_VERSION "6.2.2")
+set(AKONADIMIME_LIB_VERSION "6.3.3")
+set(KMIME_LIB_VERSION "6.3.3")
+set(AKONADI_VERSION "6.3.3")
+set(PIMCOMMON_LIB_VERSION "6.3.3")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Xml)
 
@@ -57,7 +63,7 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.4.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
 
 
 ########### CMake Config Files ###########

=== debian/changelog ===
mailimporter (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libkmime-dev (>= 24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/mailimporter
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git

## mailimporter 25.04.0

=== debian/changelog ===
mailimporter (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:03:22 +0100

mailimporter (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: mailimporter
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadimime-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.04.0~),
+               libakonadimime-dev (>= 4:25.04.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.3~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libkmime-dev (>= 25.04.0~),
+               libpimcommon-dev (>= 4:25.04.0~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/mailimporter
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
 Rules-Requires-Root: no
 
 Package: libmailimporter-data

## mailimporter 25.04.1

=== debian/changelog ===
mailimporter (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:17:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.0~),
-               libakonadimime-dev (>= 4:25.04.0~),
+               libakonadi-dev (>= 4:25.04.1~),
+               libakonadimime-dev (>= 4:25.04.1~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.04.0~),
-               libpimcommon-dev (>= 4:25.04.0~),
+               libkmime-dev (>= 25.04.1~),
+               libpimcommon-dev (>= 4:25.04.1~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 25.04.2

=== debian/changelog ===
mailimporter (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:01:05 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.1~),
-               libakonadimime-dev (>= 4:25.04.1~),
+               libakonadi-dev (>= 4:25.04.2~),
+               libakonadimime-dev (>= 4:25.04.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.04.1~),
-               libpimcommon-dev (>= 4:25.04.1~),
+               libkmime-dev (>= 25.04.2~),
+               libpimcommon-dev (>= 4:25.04.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 25.04.3

=== src/mailimporter/CMakeLists.txt ===
########### CMake Config Files ###########

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfigVersion.cmake"
    SOVERSION 6
    )


add_library(KPim6MailImporter)
add_library(KPim6::MailImporter ALIAS KPim6MailImporter)

target_sources(KPim6MailImporter PRIVATE
    importmailswidget.cpp
    filterinfogui.cpp
    importmailswidget.h
    filterinfogui.h
)

target_sources(KPim6MailImporter PRIVATE
    filters/filteroe.cpp
    filters/filterpmail.cpp
    filters/filterplain.cpp
    filters/filtermbox.cpp
    filters/filterevolution.cpp
    filters/filtermailapp.cpp
    filters/filterevolution_v2.cpp
    filters/filterevolution_v3.cpp
    filters/filteropera.cpp
    filters/filterthunderbird.cpp
    filters/filterkmail_maildir.cpp
    filters/filtersylpheed.cpp
    filters/filterclawsmail.cpp
    filters/filterthebat.cpp
    filters/filterlnotes.cpp
    filters/filterkmailarchive.cpp
    filters/filtermailmangzip.cpp
    filters/filtericedove.cpp
    filters/filterbalsa.cpp
    filters/filterseamonkey.cpp
    messagestatus.cpp
    filterinfo.cpp
    filters.cpp
    filterimporterbase.cpp
    othermailerutil.cpp
    selectthunderbirdprofilewidget.cpp
    messagestatus.h
    selectthunderbirdprofilewidget.h
    filters/filterclawsmail.h
    filters/filterseamonkey.h
    filters/filterevolution_v3.h
    filters/filteroe.h
    filters/filtermailapp.h
    filters/filterkmail_maildir.h
    filters/filtericedove.h
    filters/filtermailmangzip.h
    filters/filterpmail.h
    filters/filterthunderbird.h
    filters/filterlnotes.h
    filters/filterevolution_v2.h
    filters/filterkmailarchive.h
    filters/filteropera.h
    filters/filtersylpheed.h
    filters/filterthebat.h
    filters/filterbalsa.h
    filters/filterevolution.h
    filters/filtermbox.h
    filters/filterplain.h
    othermailerutil.h
    mailimporter_utils.h
    filterimporterbase.h
    filters.h
    mailimporter_private_export.h
    filterinfo.h
    )


ki18n_wrap_ui(KPim6MailImporter ui/importmailswidget.ui ui/selectthunderbirdprofilewidget.ui)

ecm_qt_declare_logging_category(KPim6MailImporter HEADER mailimporter_debug.h IDENTIFIER MAILIMPORTER_LOG CATEGORY_NAME org.kde.pim.mailimporter
        DESCRIPTION "mailimporter (mailimporter)"
        OLD_CATEGORY_NAMES log_mailimporter
        EXPORT MAILIMPORTER
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6MailImporter PROPERTIES UNITY_BUILD ON)
endif()
ecm_generate_export_header(KPim6MailImporter
    BASE_NAME mailimporter
    VERSION ${MAILIMPORTER_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)
target_include_directories(KPim6MailImporter INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter/>")
target_include_directories(KPim6MailImporter PUBLIC "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>")


target_link_libraries(KPim6MailImporter
    PUBLIC
    KF6::Archive
    PRIVATE
    KPim6::PimCommon
    KF6::I18n
    KF6::ConfigCore
    Qt::Xml
    Qt::Widgets
    )

set_target_properties(KPim6MailImporter PROPERTIES
    VERSION ${MAILIMPORTER_VERSION}
    SOVERSION ${MAILIMPORTER_SOVERSION}
    EXPORT_NAME MailImporter
    )

install(TARGETS
    KPim6MailImporter
    EXPORT KPim6MailImporterTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )

ecm_generate_headers(MailImporter_CamelCase_HEADERS
    HEADER_NAMES
    FilterImporterBase
    FilterInfoGui
    OtherMailerUtil
    ImportMailsWidget
    MailImporter_Utils
    Filters
    FilterInfo
    MessageStatus
    REQUIRED_HEADERS MailImporter_HEADERS
    PREFIX MailImporter
    )

ecm_generate_headers(MailImporter_FiltersCamelCase_HEADERS
    HEADER_NAMES
    FilterClawsMail
    FilterBalsa
    FilterSylpheed
    FilterTheBat
    FilterEvolution
    FilterThunderbird
    FilterEvolution_v2
    FilterEvolution_v3
    FilterMailApp
    FilterMailmanGzip
    FilterPlain
    FilterPMail
    FilterMBox
    FilterOpera
    FilterLNotes
    FilterOE
    FilterKMail_maildir
    FilterKMailArchive
    FilterIcedove
    FilterSeaMonkey
    REQUIRED_HEADERS MailImporter_Filters_HEADERS
    PREFIX MailImporter
    RELATIVE filters
    )


install(FILES
    ${MailImporter_CamelCase_HEADERS}
    ${MailImporter_FiltersCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter/MailImporter
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_export.h
    ${MailImporter_HEADERS}
    ${MailImporter_Filters_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter/mailimporter
    COMPONENT Devel
    )

if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KPim6MailImporter_QCH
        NAME KMailImporter
        BASE_NAME KPim6MailImporter
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailImporter_HEADERS}
            ${MailImporter_Filters_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILIMPORTER_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailImporter")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MailImporter_QCH
        FILE KPim6MailImporterQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MailImporterQchTargets.cmake\")")
endif()


configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailImporterConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )


install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KPim6MailImporterTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6MailImporterTargets.cmake NAMESPACE KPim6::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter COMPONENT Devel
    )

=== debian/changelog ===
mailimporter (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:55:56 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.2~),
-               libakonadimime-dev (>= 4:25.04.2~),
+               libakonadi-dev (>= 4:25.04.3~),
+               libakonadimime-dev (>= 4:25.04.3~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.04.2~),
-               libpimcommon-dev (>= 4:25.04.2~),
+               libkmime-dev (>= 25.04.3~),
+               libpimcommon-dev (>= 4:25.04.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 25.07.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.4.80")

project(MailImporter VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)

set(MAILIMPORTER_LIB ${PIM_VERSION})
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(AKONADIMIME_LIB_VERSION "6.4.80")
set(KMIME_LIB_VERSION "6.4.80")
set(AKONADI_VERSION "6.4.80")
set(PIMCOMMON_LIB_VERSION "6.4.80")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
        Xml
)

find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

########### CMake Config Files ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libmailimporter6\")

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILIMPORTER
        FILE mailimporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/mailimporter/CMakeLists.txt ===
########### CMake Config Files ###########

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfigVersion.cmake"
    SOVERSION 6
)

add_library(KPim6MailImporter)
add_library(KPim6::MailImporter ALIAS KPim6MailImporter)

target_sources(
    KPim6MailImporter
    PRIVATE
        importmailswidget.cpp
        filterinfogui.cpp
        importmailswidget.h
        filterinfogui.h
)

target_sources(
    KPim6MailImporter
    PRIVATE
        filters/filteroe.cpp
        filters/filterpmail.cpp
        filters/filterplain.cpp
        filters/filtermbox.cpp
        filters/filterevolution.cpp
        filters/filtermailapp.cpp
        filters/filterevolution_v2.cpp
        filters/filterevolution_v3.cpp
        filters/filteropera.cpp
        filters/filterthunderbird.cpp
        filters/filterkmail_maildir.cpp
        filters/filtersylpheed.cpp
        filters/filterclawsmail.cpp
        filters/filterthebat.cpp
        filters/filterlnotes.cpp
        filters/filterkmailarchive.cpp
        filters/filtermailmangzip.cpp
        filters/filtericedove.cpp
        filters/filterbalsa.cpp
        filters/filterseamonkey.cpp
        messagestatus.cpp
        filterinfo.cpp
        filters.cpp
        filterimporterbase.cpp
        othermailerutil.cpp
        selectthunderbirdprofilewidget.cpp
        messagestatus.h
        selectthunderbirdprofilewidget.h
        filters/filterclawsmail.h
        filters/filterseamonkey.h
        filters/filterevolution_v3.h
        filters/filteroe.h
        filters/filtermailapp.h
        filters/filterkmail_maildir.h
        filters/filtericedove.h
        filters/filtermailmangzip.h
        filters/filterpmail.h
        filters/filterthunderbird.h
        filters/filterlnotes.h
        filters/filterevolution_v2.h
        filters/filterkmailarchive.h
        filters/filteropera.h
        filters/filtersylpheed.h
        filters/filterthebat.h
        filters/filterbalsa.h
        filters/filterevolution.h
        filters/filtermbox.h
        filters/filterplain.h
        othermailerutil.h
        mailimporter_utils.h
        filterimporterbase.h
        filters.h
        mailimporter_private_export.h
        filterinfo.h
)

ki18n_wrap_ui(KPim6MailImporter ui/importmailswidget.ui ui/selectthunderbirdprofilewidget.ui)

ecm_qt_declare_logging_category(KPim6MailImporter HEADER mailimporter_debug.h IDENTIFIER MAILIMPORTER_LOG CATEGORY_NAME org.kde.pim.mailimporter
        DESCRIPTION "mailimporter (mailimporter)"
        OLD_CATEGORY_NAMES log_mailimporter
        EXPORT MAILIMPORTER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6MailImporter
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6MailImporter
    BASE_NAME mailimporter
    VERSION ${MAILIMPORTER_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)
target_include_directories(
    KPim6MailImporter
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter/>"
)
target_include_directories(
    KPim6MailImporter
    PUBLIC
        "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>"
)

target_link_libraries(
    KPim6MailImporter
    PUBLIC
        KF6::Archive
    PRIVATE
        KPim6::PimCommon
        KF6::I18n
        KF6::ConfigCore
        Qt::Xml
        Qt::Widgets
)

set_target_properties(
    KPim6MailImporter
    PROPERTIES
        VERSION
            ${MAILIMPORTER_VERSION}
        SOVERSION
            ${MAILIMPORTER_SOVERSION}
        EXPORT_NAME
            MailImporter
)

install(TARGETS KPim6MailImporter EXPORT KPim6MailImporterTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(MailImporter_CamelCase_HEADERS
    HEADER_NAMES
    FilterImporterBase
    FilterInfoGui
    OtherMailerUtil
    ImportMailsWidget
    MailImporter_Utils
    Filters
    FilterInfo
    MessageStatus
    REQUIRED_HEADERS MailImporter_HEADERS
    PREFIX MailImporter
)

ecm_generate_headers(MailImporter_FiltersCamelCase_HEADERS
    HEADER_NAMES
    FilterClawsMail
    FilterBalsa
    FilterSylpheed
    FilterTheBat
    FilterEvolution
    FilterThunderbird
    FilterEvolution_v2
    FilterEvolution_v3
    FilterMailApp
    FilterMailmanGzip
    FilterPlain
    FilterPMail
    FilterMBox
    FilterOpera
    FilterLNotes
    FilterOE
    FilterKMail_maildir
    FilterKMailArchive
    FilterIcedove
    FilterSeaMonkey
    REQUIRED_HEADERS MailImporter_Filters_HEADERS
    PREFIX MailImporter
    RELATIVE filters
)

install(
    FILES
        ${MailImporter_CamelCase_HEADERS}
        ${MailImporter_FiltersCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter/MailImporter
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_export.h
        ${MailImporter_HEADERS}
        ${MailImporter_Filters_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter/mailimporter
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6MailImporter_QCH
        NAME KMailImporter
        BASE_NAME KPim6MailImporter
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailImporter_HEADERS}
            ${MailImporter_Filters_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILIMPORTER_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailImporter")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MailImporter_QCH
        FILE KPim6MailImporterQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MailImporterQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailImporterConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MailImporterTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MailImporterTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter
    COMPONENT Devel
)

=== debian/changelog ===
mailimporter (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:45:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.3~),
-               libakonadimime-dev (>= 4:25.04.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.04.3~),
-               libpimcommon-dev (>= 4:25.04.3~),
+               libkmime-dev (>= 25.07.80~),
+               libpimcommon-dev (>= 4:25.07.80~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 25.07.90

=== debian/changelog ===
mailimporter (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:00:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadimime-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.07.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libkmime-dev (>= 25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.4.80")
+set(PIM_VERSION "6.5.0")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
@@ -59,10 +59,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.4.80")
-set(KMIME_LIB_VERSION "6.4.80")
-set(AKONADI_VERSION "6.4.80")
-set(PIMCOMMON_LIB_VERSION "6.4.80")
+set(AKONADIMIME_LIB_VERSION "6.5.0")
+set(KMIME_LIB_VERSION "6.5.0")
+set(AKONADI_VERSION "6.5.0")
+set(PIMCOMMON_LIB_VERSION "6.5.0")
 
 find_package(
     Qt6

=== debian/changelog ===
mailimporter (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:59:50 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadimime-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadimime-dev (>= 4:25.08.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.07.90~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libkmime-dev (>= 25.08.0~),
+               libpimcommon-dev (>= 4:25.08.0~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
